### Method

# FwupdPlugin UdevDevice reopen

since: 2.0.9

#### Declaration [src]

    gboolean
    fu_udev_device_reopen (
      FuUdevDevice* self
      GError** error
    )

#### Description [src]

Closes and opens the device, typically used to `close()` and `open()` the device-file which is required by some ioctls.

Available since: 2.0.9

#### Return value

Type: `gboolean`

`TRUE` for success.